#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# Rectangle Class

Defined in: `src/pixi/Rectangle.js:5`
Module: PIXI

the Rectangle object is an area defined by its position, as indicated by its top-left corner point (x, y) and by its width and its height.

## Constructor

### `Rectangle`

(

- `x`
- `y`
- `width`
- `height`

)

Defined in `src/pixi/Rectangle.js:5`

#### Parameters:

- `x` Number

  position of the rectangle

- `y` Number

  position of the rectangle

- `width` Number

  of the rectangle

- `height` Number

  of the rectangle

- Index
- Methods
- Properties

## Item Index

### Methods

- clone

### Properties

- height
- width
- x
- y

## Methods

### `clone`

()

Defined in `src/pixi/Rectangle.js:45`

#### Returns:

a copy of the rectangle

## Properties

### `height`

Number

Defined in `src/pixi/Rectangle.js:37`

Default: 0

### `width`

Number

Defined in `src/pixi/Rectangle.js:30`

Default: 0

### `x`

Number

Defined in `src/pixi/Rectangle.js:16`

Default: 0

### `y`

Number

Defined in `src/pixi/Rectangle.js:23`

Default: 0